#include <linux/syscalls.h>

BUILD_PROBE1(sys_close, 3, PARAMS(unsigned int), PARAMS(fd))
BUILD_PROBE3(sys_lseek, 8, PARAMS(unsigned int, off_t, unsigned int), PARAMS(fd, offset, origin))
BUILD_PROBE6(sys_mmap, 9, PARAMS(unsigned long, unsigned long, unsigned long, unsigned long, unsigned long, unsigned long), PARAMS(addr, len, prot, flags, fd, off))
BUILD_PROBE3(sys_mprotect, 10, PARAMS(unsigned long, size_t, unsigned long), PARAMS(start, len, prot))
BUILD_PROBE2(sys_munmap, 11, PARAMS(unsigned long, size_t), PARAMS(addr, len))
BUILD_PROBE1(sys_brk, 12, PARAMS(unsigned long), PARAMS(brk))
BUILD_PROBE3(sys_ioctl, 16, PARAMS(unsigned int, unsigned int, unsigned long), PARAMS(fd, cmd, arg))
BUILD_PROBE0(sys_sched_yield, 24, PARAMS(), PARAMS())
BUILD_PROBE5(sys_mremap, 25, PARAMS(unsigned long, unsigned long, unsigned long, unsigned long, unsigned long), PARAMS(addr, old_len, new_len, flags, new_addr))
BUILD_PROBE3(sys_msync, 26, PARAMS(unsigned long, size_t, int), PARAMS(start, len, flags))
BUILD_PROBE3(sys_madvise, 28, PARAMS(unsigned long, size_t, int), PARAMS(start, len_in, behavior))
BUILD_PROBE3(sys_shmget, 29, PARAMS(key_t, size_t, int), PARAMS(key, size, shmflg))
BUILD_PROBE1(sys_dup, 32, PARAMS(unsigned int), PARAMS(fildes))
BUILD_PROBE2(sys_dup2, 33, PARAMS(unsigned int, unsigned int), PARAMS(oldfd, newfd))
BUILD_PROBE0(sys_pause, 34, PARAMS(), PARAMS())
BUILD_PROBE1(sys_alarm, 37, PARAMS(unsigned int), PARAMS(seconds))
BUILD_PROBE0(sys_getpid, 39, PARAMS(), PARAMS())
BUILD_PROBE3(sys_socket, 41, PARAMS(int, int, int), PARAMS(family, type, protocol))
BUILD_PROBE2(sys_shutdown, 48, PARAMS(int, int), PARAMS(fd, how))
BUILD_PROBE2(sys_listen, 50, PARAMS(int, int), PARAMS(fd, backlog))
BUILD_PROBE1(sys_exit, 60, PARAMS(int), PARAMS(error_code))
BUILD_PROBE2(sys_kill, 62, PARAMS(pid_t, int), PARAMS(pid, sig))
BUILD_PROBE3(sys_semget, 64, PARAMS(key_t, int, int), PARAMS(key, nsems, semflg))
BUILD_PROBE2(sys_msgget, 68, PARAMS(key_t, int), PARAMS(key, msgflg))
BUILD_PROBE3(sys_fcntl, 72, PARAMS(unsigned int, unsigned int, unsigned long), PARAMS(fd, cmd, arg))
BUILD_PROBE2(sys_flock, 73, PARAMS(unsigned int, unsigned int), PARAMS(fd, cmd))
BUILD_PROBE1(sys_fsync, 74, PARAMS(unsigned int), PARAMS(fd))
BUILD_PROBE1(sys_fdatasync, 75, PARAMS(unsigned int), PARAMS(fd))
BUILD_PROBE2(sys_ftruncate, 77, PARAMS(unsigned int, unsigned long), PARAMS(fd, length))
BUILD_PROBE1(sys_fchdir, 81, PARAMS(unsigned int), PARAMS(fd))
BUILD_PROBE2(sys_fchmod, 91, PARAMS(unsigned int, mode_t), PARAMS(fd, mode))
BUILD_PROBE3(sys_fchown, 93, PARAMS(unsigned int, uid_t, gid_t), PARAMS(fd, user, group))
BUILD_PROBE1(sys_umask, 95, PARAMS(int), PARAMS(mask))
BUILD_PROBE4(sys_ptrace, 101, PARAMS(long, long, unsigned long, unsigned long), PARAMS(request, pid, addr, data))
BUILD_PROBE0(sys_getuid, 102, PARAMS(), PARAMS())
BUILD_PROBE0(sys_getgid, 104, PARAMS(), PARAMS())
BUILD_PROBE1(sys_setuid, 105, PARAMS(uid_t), PARAMS(uid))
BUILD_PROBE1(sys_setgid, 106, PARAMS(gid_t), PARAMS(gid))
BUILD_PROBE0(sys_geteuid, 107, PARAMS(), PARAMS())
BUILD_PROBE0(sys_getegid, 108, PARAMS(), PARAMS())
BUILD_PROBE2(sys_setpgid, 109, PARAMS(pid_t, pid_t), PARAMS(pid, pgid))
BUILD_PROBE0(sys_getppid, 110, PARAMS(), PARAMS())
BUILD_PROBE0(sys_getpgrp, 111, PARAMS(), PARAMS())
BUILD_PROBE0(sys_setsid, 112, PARAMS(), PARAMS())
BUILD_PROBE2(sys_setreuid, 113, PARAMS(uid_t, uid_t), PARAMS(ruid, euid))
BUILD_PROBE2(sys_setregid, 114, PARAMS(gid_t, gid_t), PARAMS(rgid, egid))
BUILD_PROBE3(sys_setresuid, 117, PARAMS(uid_t, uid_t, uid_t), PARAMS(ruid, euid, suid))
BUILD_PROBE3(sys_setresgid, 119, PARAMS(gid_t, gid_t, gid_t), PARAMS(rgid, egid, sgid))
BUILD_PROBE1(sys_getpgid, 121, PARAMS(pid_t), PARAMS(pid))
BUILD_PROBE1(sys_setfsuid, 122, PARAMS(uid_t), PARAMS(uid))
BUILD_PROBE1(sys_setfsgid, 123, PARAMS(gid_t), PARAMS(gid))
BUILD_PROBE1(sys_getsid, 124, PARAMS(pid_t), PARAMS(pid))
BUILD_PROBE1(sys_personality, 135, PARAMS(unsigned int), PARAMS(personality))
BUILD_PROBE3(sys_sysfs, 139, PARAMS(int, unsigned long, unsigned long), PARAMS(option, arg1, arg2))
BUILD_PROBE2(sys_getpriority, 140, PARAMS(int, int), PARAMS(which, who))
BUILD_PROBE3(sys_setpriority, 141, PARAMS(int, int, int), PARAMS(which, who, niceval))
BUILD_PROBE1(sys_sched_getscheduler, 145, PARAMS(pid_t), PARAMS(pid))
BUILD_PROBE1(sys_sched_get_priority_max, 146, PARAMS(int), PARAMS(policy))
BUILD_PROBE1(sys_sched_get_priority_min, 147, PARAMS(int), PARAMS(policy))
BUILD_PROBE2(sys_mlock, 149, PARAMS(unsigned long, size_t), PARAMS(start, len))
BUILD_PROBE2(sys_munlock, 150, PARAMS(unsigned long, size_t), PARAMS(start, len))
BUILD_PROBE1(sys_mlockall, 151, PARAMS(int), PARAMS(flags))
BUILD_PROBE0(sys_munlockall, 152, PARAMS(), PARAMS())
BUILD_PROBE0(sys_vhangup, 153, PARAMS(), PARAMS())
BUILD_PROBE5(sys_prctl, 157, PARAMS(int, unsigned long, unsigned long, unsigned long, unsigned long), PARAMS(option, arg2, arg3, arg4, arg5))
BUILD_PROBE0(sys_sync, 162, PARAMS(), PARAMS())
BUILD_PROBE0(sys_gettid, 186, PARAMS(), PARAMS())
BUILD_PROBE2(sys_tkill, 200, PARAMS(pid_t, int), PARAMS(pid, sig))
BUILD_PROBE1(sys_io_destroy, 207, PARAMS(aio_context_t), PARAMS(ctx))
BUILD_PROBE1(sys_epoll_create, 213, PARAMS(int), PARAMS(size))
BUILD_PROBE5(sys_remap_file_pages, 216, PARAMS(unsigned long, unsigned long, unsigned long, unsigned long, unsigned long), PARAMS(start, size, prot, pgoff, flags))
BUILD_PROBE0(sys_restart_syscall, 219, PARAMS(), PARAMS())
BUILD_PROBE1(sys_timer_getoverrun, 225, PARAMS(timer_t), PARAMS(timer_id))
BUILD_PROBE1(sys_timer_delete, 226, PARAMS(timer_t), PARAMS(timer_id))
BUILD_PROBE1(sys_exit_group, 231, PARAMS(int), PARAMS(error_code))
BUILD_PROBE3(sys_tgkill, 234, PARAMS(pid_t, pid_t, int), PARAMS(tgid, pid, sig))
BUILD_PROBE3(sys_ioprio_set, 251, PARAMS(int, int, int), PARAMS(which, who, ioprio))
BUILD_PROBE2(sys_ioprio_get, 252, PARAMS(int, int), PARAMS(which, who))
BUILD_PROBE0(sys_inotify_init, 253, PARAMS(), PARAMS())
BUILD_PROBE2(sys_inotify_rm_watch, 255, PARAMS(int, __s32), PARAMS(fd, wd))
BUILD_PROBE1(sys_unshare, 272, PARAMS(unsigned long), PARAMS(unshare_flags))
BUILD_PROBE4(sys_tee, 276, PARAMS(int, int, size_t, unsigned int), PARAMS(fdin, fdout, len, flags))
BUILD_PROBE2(sys_timerfd_create, 283, PARAMS(int, int), PARAMS(clockid, flags))
BUILD_PROBE1(sys_eventfd, 284, PARAMS(unsigned int), PARAMS(count))
BUILD_PROBE2(sys_eventfd2, 290, PARAMS(unsigned int, int), PARAMS(count, flags))
BUILD_PROBE1(sys_epoll_create1, 291, PARAMS(int), PARAMS(flags))
BUILD_PROBE3(sys_dup3, 292, PARAMS(unsigned int, unsigned int, int), PARAMS(oldfd, newfd, flags))
BUILD_PROBE1(sys_inotify_init1, 294, PARAMS(int), PARAMS(flags))
BUILD_PROBE1(sys_syncfs, 306, PARAMS(int), PARAMS(fd))
BUILD_PROBE2(sys_setns, 308, PARAMS(int, int), PARAMS(fd, nstype))
