#include <linux/syscalls.h>

BUILD_PROBE3(sys_read, 0, PARAMS(unsigned int, char *, size_t), PARAMS(fd, buf, count))
BUILD_PROBE3(sys_write, 1, PARAMS(unsigned int, const char *, size_t), PARAMS(fd, buf, count))
BUILD_PROBE3(sys_open, 2, PARAMS(const char *, int, int), PARAMS(filename, flags, mode))
BUILD_PROBE2(sys_newstat, 4, PARAMS(const char *, struct stat *), PARAMS(filename, statbuf))
BUILD_PROBE2(sys_newfstat, 5, PARAMS(unsigned int, struct stat *), PARAMS(fd, statbuf))
BUILD_PROBE2(sys_newlstat, 6, PARAMS(const char *, struct stat *), PARAMS(filename, statbuf))
BUILD_PROBE3(sys_poll, 7, PARAMS(struct pollfd *, unsigned int, long), PARAMS(ufds, nfds, timeout_msecs))
BUILD_PROBE4(sys_rt_sigaction, 13, PARAMS(int, const struct sigaction *, struct sigaction *, size_t), PARAMS(sig, act, oact, sigsetsize))
BUILD_PROBE4(sys_rt_sigprocmask, 14, PARAMS(int, sigset_t *, sigset_t *, size_t), PARAMS(how, nset, oset, sigsetsize))
BUILD_PROBE3(sys_readv, 19, PARAMS(unsigned long, const struct iovec *, unsigned long), PARAMS(fd, vec, vlen))
BUILD_PROBE3(sys_writev, 20, PARAMS(unsigned long, const struct iovec *, unsigned long), PARAMS(fd, vec, vlen))
BUILD_PROBE2(sys_access, 21, PARAMS(const char *, int), PARAMS(filename, mode))
BUILD_PROBE1(sys_pipe, 22, PARAMS(int *), PARAMS(fildes))
BUILD_PROBE5(sys_select, 23, PARAMS(int, fd_set *, fd_set *, fd_set *, struct timeval *), PARAMS(n, inp, outp, exp, tvp))
BUILD_PROBE3(sys_mincore, 27, PARAMS(unsigned long, size_t, unsigned char *), PARAMS(start, len, vec))
BUILD_PROBE3(sys_shmat, 30, PARAMS(int, char *, int), PARAMS(shmid, shmaddr, shmflg))
BUILD_PROBE3(sys_shmctl, 31, PARAMS(int, int, struct shmid_ds *), PARAMS(shmid, cmd, buf))
BUILD_PROBE2(sys_nanosleep, 35, PARAMS(struct timespec *, struct timespec *), PARAMS(rqtp, rmtp))
BUILD_PROBE2(sys_getitimer, 36, PARAMS(int, struct itimerval *), PARAMS(which, value))
BUILD_PROBE3(sys_setitimer, 38, PARAMS(int, struct itimerval *, struct itimerval *), PARAMS(which, value, ovalue))
BUILD_PROBE4(sys_sendfile64, 40, PARAMS(int, int, loff_t *, size_t), PARAMS(out_fd, in_fd, offset, count))
BUILD_PROBE3(sys_connect, 42, PARAMS(int, struct sockaddr *, int), PARAMS(fd, uservaddr, addrlen))
BUILD_PROBE3(sys_accept, 43, PARAMS(int, struct sockaddr *, int *), PARAMS(fd, upeer_sockaddr, upeer_addrlen))
BUILD_PROBE6(sys_sendto, 44, PARAMS(int, void *, size_t, unsigned, struct sockaddr *, int), PARAMS(fd, buff, len, flags, addr, addr_len))
BUILD_PROBE6(sys_recvfrom, 45, PARAMS(int, void *, size_t, unsigned, struct sockaddr *, int *), PARAMS(fd, ubuf, size, flags, addr, addr_len))
BUILD_PROBE3(sys_sendmsg, 46, PARAMS(int, struct msghdr *, unsigned), PARAMS(fd, msg, flags))
BUILD_PROBE3(sys_recvmsg, 47, PARAMS(int, struct msghdr *, unsigned int), PARAMS(fd, msg, flags))
BUILD_PROBE3(sys_bind, 49, PARAMS(int, struct sockaddr *, int), PARAMS(fd, umyaddr, addrlen))
BUILD_PROBE3(sys_getsockname, 51, PARAMS(int, struct sockaddr *, int *), PARAMS(fd, usockaddr, usockaddr_len))
BUILD_PROBE3(sys_getpeername, 52, PARAMS(int, struct sockaddr *, int *), PARAMS(fd, usockaddr, usockaddr_len))
BUILD_PROBE4(sys_socketpair, 53, PARAMS(int, int, int, int *), PARAMS(family, type, protocol, usockvec))
BUILD_PROBE5(sys_setsockopt, 54, PARAMS(int, int, int, char *, int), PARAMS(fd, level, optname, optval, optlen))
BUILD_PROBE5(sys_getsockopt, 55, PARAMS(int, int, int, char *, int *), PARAMS(fd, level, optname, optval, optlen))
BUILD_PROBE4(sys_wait4, 61, PARAMS(pid_t, int *, int, struct rusage *), PARAMS(upid, stat_addr, options, ru))
BUILD_PROBE1(sys_newuname, 63, PARAMS(struct new_utsname *), PARAMS(name))
BUILD_PROBE3(sys_semop, 65, PARAMS(int, struct sembuf *, unsigned), PARAMS(semid, tsops, nsops))
BUILD_PROBE1(sys_shmdt, 67, PARAMS(char *), PARAMS(shmaddr))
BUILD_PROBE4(sys_msgsnd, 69, PARAMS(int, struct msgbuf *, size_t, int), PARAMS(msqid, msgp, msgsz, msgflg))
BUILD_PROBE5(sys_msgrcv, 70, PARAMS(int, struct msgbuf *, size_t, long, int), PARAMS(msqid, msgp, msgsz, msgtyp, msgflg))
BUILD_PROBE3(sys_msgctl, 71, PARAMS(int, int, struct msqid_ds *), PARAMS(msqid, cmd, buf))
BUILD_PROBE2(sys_truncate, 76, PARAMS(const char *, long), PARAMS(path, length))
BUILD_PROBE3(sys_getdents, 78, PARAMS(unsigned int, struct linux_dirent *, unsigned int), PARAMS(fd, dirent, count))
BUILD_PROBE2(sys_getcwd, 79, PARAMS(char *, unsigned long), PARAMS(buf, size))
BUILD_PROBE1(sys_chdir, 80, PARAMS(const char *), PARAMS(filename))
BUILD_PROBE2(sys_rename, 82, PARAMS(const char *, const char *), PARAMS(oldname, newname))
BUILD_PROBE2(sys_mkdir, 83, PARAMS(const char *, int), PARAMS(pathname, mode))
BUILD_PROBE1(sys_rmdir, 84, PARAMS(const char *), PARAMS(pathname))
BUILD_PROBE2(sys_creat, 85, PARAMS(const char *, int), PARAMS(pathname, mode))
BUILD_PROBE2(sys_link, 86, PARAMS(const char *, const char *), PARAMS(oldname, newname))
BUILD_PROBE1(sys_unlink, 87, PARAMS(const char *), PARAMS(pathname))
BUILD_PROBE2(sys_symlink, 88, PARAMS(const char *, const char *), PARAMS(oldname, newname))
BUILD_PROBE3(sys_readlink, 89, PARAMS(const char *, char *, int), PARAMS(path, buf, bufsiz))
BUILD_PROBE2(sys_chmod, 90, PARAMS(const char *, mode_t), PARAMS(filename, mode))
BUILD_PROBE3(sys_chown, 92, PARAMS(const char *, uid_t, gid_t), PARAMS(filename, user, group))
BUILD_PROBE3(sys_lchown, 94, PARAMS(const char *, uid_t, gid_t), PARAMS(filename, user, group))
BUILD_PROBE2(sys_gettimeofday, 96, PARAMS(struct timeval *, struct timezone *), PARAMS(tv, tz))
BUILD_PROBE2(sys_getrlimit, 97, PARAMS(unsigned int, struct rlimit *), PARAMS(resource, rlim))
BUILD_PROBE2(sys_getrusage, 98, PARAMS(int, struct rusage *), PARAMS(who, ru))
BUILD_PROBE1(sys_sysinfo, 99, PARAMS(struct sysinfo *), PARAMS(info))
BUILD_PROBE1(sys_times, 100, PARAMS(struct tms *), PARAMS(tbuf))
BUILD_PROBE3(sys_syslog, 103, PARAMS(int, char *, int), PARAMS(type, buf, len))
BUILD_PROBE2(sys_getgroups, 115, PARAMS(int, gid_t *), PARAMS(gidsetsize, grouplist))
BUILD_PROBE2(sys_setgroups, 116, PARAMS(int, gid_t *), PARAMS(gidsetsize, grouplist))
BUILD_PROBE3(sys_getresuid, 118, PARAMS(uid_t *, uid_t *, uid_t *), PARAMS(ruid, euid, suid))
BUILD_PROBE3(sys_getresgid, 120, PARAMS(gid_t *, gid_t *, gid_t *), PARAMS(rgid, egid, sgid))
BUILD_PROBE2(sys_capget, 125, PARAMS(cap_user_header_t, cap_user_data_t), PARAMS(header, dataptr))
BUILD_PROBE2(sys_capset, 126, PARAMS(cap_user_header_t, const cap_user_data_t), PARAMS(header, data))
BUILD_PROBE2(sys_rt_sigpending, 127, PARAMS(sigset_t *, size_t), PARAMS(set, sigsetsize))
BUILD_PROBE4(sys_rt_sigtimedwait, 128, PARAMS(const sigset_t *, siginfo_t *, const struct timespec *, size_t), PARAMS(uthese, uinfo, uts, sigsetsize))
BUILD_PROBE3(sys_rt_sigqueueinfo, 129, PARAMS(pid_t, int, siginfo_t *), PARAMS(pid, sig, uinfo))
BUILD_PROBE2(sys_rt_sigsuspend, 130, PARAMS(sigset_t *, size_t), PARAMS(unewset, sigsetsize))
BUILD_PROBE2(sys_utime, 132, PARAMS(char *, struct utimbuf *), PARAMS(filename, times))
BUILD_PROBE3(sys_mknod, 133, PARAMS(const char *, int, unsigned), PARAMS(filename, mode, dev))
BUILD_PROBE2(sys_ustat, 136, PARAMS(unsigned, struct ustat *), PARAMS(dev, ubuf))
BUILD_PROBE2(sys_statfs, 137, PARAMS(const char *, struct statfs *), PARAMS(pathname, buf))
BUILD_PROBE2(sys_fstatfs, 138, PARAMS(unsigned int, struct statfs *), PARAMS(fd, buf))
BUILD_PROBE2(sys_sched_setparam, 142, PARAMS(pid_t, struct sched_param *), PARAMS(pid, param))
BUILD_PROBE2(sys_sched_getparam, 143, PARAMS(pid_t, struct sched_param *), PARAMS(pid, param))
BUILD_PROBE3(sys_sched_setscheduler, 144, PARAMS(pid_t, int, struct sched_param *), PARAMS(pid, policy, param))
BUILD_PROBE2(sys_sched_rr_get_interval, 148, PARAMS(pid_t, struct timespec *), PARAMS(pid, interval))
BUILD_PROBE2(sys_pivot_root, 155, PARAMS(const char *, const char *), PARAMS(new_root, put_old))
BUILD_PROBE1(sys_sysctl, 156, PARAMS(struct __sysctl_args *), PARAMS(args))
BUILD_PROBE1(sys_adjtimex, 159, PARAMS(struct timex *), PARAMS(txc_p))
BUILD_PROBE2(sys_setrlimit, 160, PARAMS(unsigned int, struct rlimit *), PARAMS(resource, rlim))
BUILD_PROBE1(sys_chroot, 161, PARAMS(const char *), PARAMS(filename))
BUILD_PROBE2(sys_settimeofday, 164, PARAMS(struct timeval *, struct timezone *), PARAMS(tv, tz))
BUILD_PROBE5(sys_mount, 165, PARAMS(char *, char *, char *, unsigned long, void *), PARAMS(dev_name, dir_name, type, flags, data))
BUILD_PROBE2(sys_umount, 166, PARAMS(char *, int), PARAMS(name, flags))
BUILD_PROBE2(sys_swapon, 167, PARAMS(const char *, int), PARAMS(specialfile, swap_flags))
BUILD_PROBE1(sys_swapoff, 168, PARAMS(const char *), PARAMS(specialfile))
BUILD_PROBE4(sys_reboot, 169, PARAMS(int, int, unsigned int, void *), PARAMS(magic1, magic2, cmd, arg))
BUILD_PROBE2(sys_sethostname, 170, PARAMS(char *, int), PARAMS(name, len))
BUILD_PROBE2(sys_setdomainname, 171, PARAMS(char *, int), PARAMS(name, len))
BUILD_PROBE3(sys_init_module, 175, PARAMS(void *, unsigned long, const char *), PARAMS(umod, len, uargs))
BUILD_PROBE2(sys_delete_module, 176, PARAMS(const char *, unsigned int), PARAMS(name_user, flags))
BUILD_PROBE3(sys_nfsservctl, 180, PARAMS(int, struct nfsctl_arg *, void *), PARAMS(cmd, arg, res))
BUILD_PROBE5(sys_setxattr, 188, PARAMS(const char *, const char *, const void *, size_t, int), PARAMS(pathname, name, value, size, flags))
BUILD_PROBE5(sys_lsetxattr, 189, PARAMS(const char *, const char *, const void *, size_t, int), PARAMS(pathname, name, value, size, flags))
BUILD_PROBE5(sys_fsetxattr, 190, PARAMS(int, const char *, const void *, size_t, int), PARAMS(fd, name, value, size, flags))
BUILD_PROBE4(sys_getxattr, 191, PARAMS(const char *, const char *, void *, size_t), PARAMS(pathname, name, value, size))
BUILD_PROBE4(sys_lgetxattr, 192, PARAMS(const char *, const char *, void *, size_t), PARAMS(pathname, name, value, size))
BUILD_PROBE4(sys_fgetxattr, 193, PARAMS(int, const char *, void *, size_t), PARAMS(fd, name, value, size))
BUILD_PROBE3(sys_listxattr, 194, PARAMS(const char *, char *, size_t), PARAMS(pathname, list, size))
BUILD_PROBE3(sys_llistxattr, 195, PARAMS(const char *, char *, size_t), PARAMS(pathname, list, size))
BUILD_PROBE3(sys_flistxattr, 196, PARAMS(int, char *, size_t), PARAMS(fd, list, size))
BUILD_PROBE2(sys_removexattr, 197, PARAMS(const char *, const char *), PARAMS(pathname, name))
BUILD_PROBE2(sys_lremovexattr, 198, PARAMS(const char *, const char *), PARAMS(pathname, name))
BUILD_PROBE2(sys_fremovexattr, 199, PARAMS(int, const char *), PARAMS(fd, name))
BUILD_PROBE1(sys_time, 201, PARAMS(time_t *), PARAMS(tloc))
BUILD_PROBE6(sys_futex, 202, PARAMS(u32 *, int, u32, struct timespec *, u32 *, u32), PARAMS(uaddr, op, val, utime, uaddr2, val3))
BUILD_PROBE3(sys_sched_setaffinity, 203, PARAMS(pid_t, unsigned int, unsigned long *), PARAMS(pid, len, user_mask_ptr))
BUILD_PROBE3(sys_sched_getaffinity, 204, PARAMS(pid_t, unsigned int, unsigned long *), PARAMS(pid, len, user_mask_ptr))
BUILD_PROBE2(sys_io_setup, 206, PARAMS(unsigned, aio_context_t *), PARAMS(nr_events, ctxp))
BUILD_PROBE5(sys_io_getevents, 208, PARAMS(aio_context_t, long, long, struct io_event *, struct timespec *), PARAMS(ctx_id, min_nr, nr, events, timeout))
BUILD_PROBE3(sys_io_submit, 209, PARAMS(aio_context_t, long, struct iocb * *), PARAMS(ctx_id, nr, iocbpp))
BUILD_PROBE3(sys_io_cancel, 210, PARAMS(aio_context_t, struct iocb *, struct io_event *), PARAMS(ctx_id, iocb, result))
BUILD_PROBE3(sys_getdents64, 217, PARAMS(unsigned int, struct linux_dirent64 *, unsigned int), PARAMS(fd, dirent, count))
BUILD_PROBE1(sys_set_tid_address, 218, PARAMS(int *), PARAMS(tidptr))
BUILD_PROBE4(sys_semtimedop, 220, PARAMS(int, struct sembuf *, unsigned, const struct timespec *), PARAMS(semid, tsops, nsops, timeout))
BUILD_PROBE3(sys_timer_create, 222, PARAMS(const clockid_t, struct sigevent *, timer_t *), PARAMS(which_clock, timer_event_spec, created_timer_id))
BUILD_PROBE4(sys_timer_settime, 223, PARAMS(timer_t, int, const struct itimerspec *, struct itimerspec *), PARAMS(timer_id, flags, new_setting, old_setting))
BUILD_PROBE2(sys_timer_gettime, 224, PARAMS(timer_t, struct itimerspec *), PARAMS(timer_id, setting))
BUILD_PROBE2(sys_clock_settime, 227, PARAMS(const clockid_t, const struct timespec *), PARAMS(which_clock, tp))
BUILD_PROBE2(sys_clock_gettime, 228, PARAMS(const clockid_t, struct timespec *), PARAMS(which_clock, tp))
BUILD_PROBE2(sys_clock_getres, 229, PARAMS(const clockid_t, struct timespec *), PARAMS(which_clock, tp))
BUILD_PROBE4(sys_clock_nanosleep, 230, PARAMS(const clockid_t, int, const struct timespec *, struct timespec *), PARAMS(which_clock, flags, rqtp, rmtp))
BUILD_PROBE4(sys_epoll_wait, 232, PARAMS(int, struct epoll_event *, int, int), PARAMS(epfd, events, maxevents, timeout))
BUILD_PROBE4(sys_epoll_ctl, 233, PARAMS(int, int, int, struct epoll_event *), PARAMS(epfd, op, fd, event))
BUILD_PROBE2(sys_utimes, 235, PARAMS(char *, struct timeval *), PARAMS(filename, utimes))
BUILD_PROBE4(sys_mq_open, 240, PARAMS(const char *, int, mode_t, struct mq_attr *), PARAMS(u_name, oflag, mode, u_attr))
BUILD_PROBE1(sys_mq_unlink, 241, PARAMS(const char *), PARAMS(u_name))
BUILD_PROBE5(sys_mq_timedsend, 242, PARAMS(mqd_t, const char *, size_t, unsigned int, const struct timespec *), PARAMS(mqdes, u_msg_ptr, msg_len, msg_prio, u_abs_timeout))
BUILD_PROBE5(sys_mq_timedreceive, 243, PARAMS(mqd_t, char *, size_t, unsigned int *, const struct timespec *), PARAMS(mqdes, u_msg_ptr, msg_len, u_msg_prio, u_abs_timeout))
BUILD_PROBE2(sys_mq_notify, 244, PARAMS(mqd_t, const struct sigevent *), PARAMS(mqdes, u_notification))
BUILD_PROBE3(sys_mq_getsetattr, 245, PARAMS(mqd_t, const struct mq_attr *, struct mq_attr *), PARAMS(mqdes, u_mqstat, u_omqstat))
BUILD_PROBE4(sys_kexec_load, 246, PARAMS(unsigned long, unsigned long, struct kexec_segment *, unsigned long), PARAMS(entry, nr_segments, segments, flags))
BUILD_PROBE5(sys_waitid, 247, PARAMS(int, pid_t, struct siginfo *, int, struct rusage *), PARAMS(which, upid, infop, options, ru))
BUILD_PROBE3(sys_inotify_add_watch, 254, PARAMS(int, const char *, u32), PARAMS(fd, pathname, mask))
BUILD_PROBE4(sys_openat, 257, PARAMS(int, const char *, int, int), PARAMS(dfd, filename, flags, mode))
BUILD_PROBE3(sys_mkdirat, 258, PARAMS(int, const char *, int), PARAMS(dfd, pathname, mode))
BUILD_PROBE4(sys_mknodat, 259, PARAMS(int, const char *, int, unsigned), PARAMS(dfd, filename, mode, dev))
BUILD_PROBE5(sys_fchownat, 260, PARAMS(int, const char *, uid_t, gid_t, int), PARAMS(dfd, filename, user, group, flag))
BUILD_PROBE3(sys_futimesat, 261, PARAMS(int, const char *, struct timeval *), PARAMS(dfd, filename, utimes))
BUILD_PROBE4(sys_newfstatat, 262, PARAMS(int, const char *, struct stat *, int), PARAMS(dfd, filename, statbuf, flag))
BUILD_PROBE3(sys_unlinkat, 263, PARAMS(int, const char *, int), PARAMS(dfd, pathname, flag))
BUILD_PROBE4(sys_renameat, 264, PARAMS(int, const char *, int, const char *), PARAMS(olddfd, oldname, newdfd, newname))
BUILD_PROBE5(sys_linkat, 265, PARAMS(int, const char *, int, const char *, int), PARAMS(olddfd, oldname, newdfd, newname, flags))
BUILD_PROBE3(sys_symlinkat, 266, PARAMS(const char *, int, const char *), PARAMS(oldname, newdfd, newname))
BUILD_PROBE4(sys_readlinkat, 267, PARAMS(int, const char *, char *, int), PARAMS(dfd, pathname, buf, bufsiz))
BUILD_PROBE3(sys_fchmodat, 268, PARAMS(int, const char *, mode_t), PARAMS(dfd, filename, mode))
BUILD_PROBE3(sys_faccessat, 269, PARAMS(int, const char *, int), PARAMS(dfd, filename, mode))
BUILD_PROBE6(sys_pselect6, 270, PARAMS(int, fd_set *, fd_set *, fd_set *, struct timespec *, void *), PARAMS(n, inp, outp, exp, tsp, sig))
BUILD_PROBE5(sys_ppoll, 271, PARAMS(struct pollfd *, unsigned int, struct timespec *, const sigset_t *, size_t), PARAMS(ufds, nfds, tsp, sigmask, sigsetsize))
BUILD_PROBE2(sys_set_robust_list, 273, PARAMS(struct robust_list_head *, size_t), PARAMS(head, len))
BUILD_PROBE3(sys_get_robust_list, 274, PARAMS(int, struct robust_list_head * *, size_t *), PARAMS(pid, head_ptr, len_ptr))
BUILD_PROBE6(sys_splice, 275, PARAMS(int, loff_t *, int, loff_t *, size_t, unsigned int), PARAMS(fd_in, off_in, fd_out, off_out, len, flags))
BUILD_PROBE4(sys_vmsplice, 278, PARAMS(int, const struct iovec *, unsigned long, unsigned int), PARAMS(fd, iov, nr_segs, flags))
BUILD_PROBE4(sys_utimensat, 280, PARAMS(int, const char *, struct timespec *, int), PARAMS(dfd, filename, utimes, flags))
BUILD_PROBE6(sys_epoll_pwait, 281, PARAMS(int, struct epoll_event *, int, int, const sigset_t *, size_t), PARAMS(epfd, events, maxevents, timeout, sigmask, sigsetsize))
BUILD_PROBE3(sys_signalfd, 282, PARAMS(int, sigset_t *, size_t), PARAMS(ufd, user_mask, sizemask))
BUILD_PROBE4(sys_timerfd_settime, 286, PARAMS(int, int, const struct itimerspec *, struct itimerspec *), PARAMS(ufd, flags, utmr, otmr))
BUILD_PROBE2(sys_timerfd_gettime, 287, PARAMS(int, struct itimerspec *), PARAMS(ufd, otmr))
BUILD_PROBE4(sys_accept4, 288, PARAMS(int, struct sockaddr *, int *, int), PARAMS(fd, upeer_sockaddr, upeer_addrlen, flags))
BUILD_PROBE4(sys_signalfd4, 289, PARAMS(int, sigset_t *, size_t, int), PARAMS(ufd, user_mask, sizemask, flags))
BUILD_PROBE2(sys_pipe2, 293, PARAMS(int *, int), PARAMS(fildes, flags))
BUILD_PROBE5(sys_preadv, 295, PARAMS(unsigned long, const struct iovec *, unsigned long, unsigned long, unsigned long), PARAMS(fd, vec, vlen, pos_l, pos_h))
BUILD_PROBE5(sys_pwritev, 296, PARAMS(unsigned long, const struct iovec *, unsigned long, unsigned long, unsigned long), PARAMS(fd, vec, vlen, pos_l, pos_h))
BUILD_PROBE4(sys_rt_tgsigqueueinfo, 297, PARAMS(pid_t, pid_t, int, siginfo_t *), PARAMS(tgid, pid, sig, uinfo))
BUILD_PROBE5(sys_perf_event_open, 298, PARAMS(struct perf_event_attr *, pid_t, int, int, unsigned long), PARAMS(attr_uptr, pid, cpu, group_fd, flags))
BUILD_PROBE5(sys_recvmmsg, 299, PARAMS(int, struct mmsghdr *, unsigned int, unsigned int, struct timespec *), PARAMS(fd, mmsg, vlen, flags, timeout))
BUILD_PROBE4(sys_prlimit64, 302, PARAMS(pid_t, unsigned int, const struct rlimit64 *, struct rlimit64 *), PARAMS(pid, resource, new_rlim, old_rlim))
BUILD_PROBE2(sys_clock_adjtime, 305, PARAMS(const clockid_t, struct timex *), PARAMS(which_clock, utx))
BUILD_PROBE4(sys_sendmmsg, 307, PARAMS(int, struct mmsghdr *, unsigned int, unsigned int), PARAMS(fd, mmsg, vlen, flags))
